Genivia - saml2__ConditionAbstractType Struct Reference

|  | Home | Documentation | saml2__ConditionAbstractType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

saml2__ConditionAbstractType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":ConditionAbstractType is an abstract complexType. More...

`#include <saml2.h>`

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":ConditionAbstractType is an abstract complexType.

This type is extended by:

- "urn:oasis:names:tc:SAML:2.0:assertion":AudienceRestrictionType as struct saml2__AudienceRestrictionType
- "urn:oasis:names:tc:SAML:2.0:assertion":OneTimeUseType as struct saml2__OneTimeUseType
- "urn:oasis:names:tc:SAML:2.0:assertion":ProxyRestrictionType as struct saml2__ProxyRestrictionType

Note
  struct saml2__ConditionAbstractType operations:
  - saml2__ConditionAbstractType* soap_new_saml2__ConditionAbstractType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__ConditionAbstractType(struct soap*, saml2__ConditionAbstractType*) default initialize members
  - int soap_read_saml2__ConditionAbstractType(struct soap*, saml2__ConditionAbstractType*) deserialize from a source
  - int soap_write_saml2__ConditionAbstractType(struct soap*, saml2__ConditionAbstractType*) serialize to a sink
  - saml2__ConditionAbstractType* soap_dup_saml2__ConditionAbstractType(struct soap*, saml2__ConditionAbstractType* dst, saml2__ConditionAbstractType <em>src) returns deep copy of saml2__ConditionAbstractType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__ConditionAbstractType(saml2__ConditionAbstractType) deep deletes saml2__ConditionAbstractType data members, use only on dst after soap_dup_saml2__ConditionAbstractType(NULL, saml2__ConditionAbstractType *dst, saml2__ConditionAbstractType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- saml2.h